OpenTTD Source: INDYChunkHandler Struct Reference

OpenTTD Source 14.0-beta3

Public Member Functions
INDYChunkHandler Struct Reference
Inheritance diagram for INDYChunkHandler:

## Public Member Functions
void | Save () const override
| Save the chunk. More...
void | LoadMoveAcceptsProduced (Industry *i) const
void | Load () const override
| Load the chunk. More...
void | FixPointers () const override
| Fix the pointers. More...
Public Member Functions inherited from ChunkHandler
| ChunkHandler (uint32_t id, ChunkType type)
virtual void | LoadCheck (size_t len=0) const
| Load the chunk for game preview. More...
std::string | GetName () const

## Additional Inherited Members
Data Fields inherited from ChunkHandler
uint32_t | id
| Unique ID (4 letters).
ChunkType | type
| Type of the chunk. More...

## Detailed Description

Definition at line 197 of file industry_sl.cpp.

## Member Function Documentation

## ◆ FixPointers()

void INDYChunkHandler::FixPointers | ( |  | ) | const
| inlineoverridevirtual

Fix the pointers.

Pointers are saved using the index of the pointed object. On load, pointers are filled with indices and need to be fixed to point to the real object. Must be overridden if the chunk saves any pointer.

Reimplemented from ChunkHandler.

Definition at line 256 of file industry_sl.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_industry_pool >::Iterate(), and SlObject().

## ◆ Load()

void INDYChunkHandler::Load | ( |  | ) | const
| inlineoverridevirtual

Load the chunk.

Must be overridden.

Implements ChunkHandler.

Definition at line 232 of file industry_sl.cpp.

References SlCompatTableHeader().

## ◆ Save()

void INDYChunkHandler::Save | ( |  | ) | const
| inlineoverridevirtual

Save the chunk.

Must be overridden, unless Chunk type is CH_READONLY.

Reimplemented from ChunkHandler.

Definition at line 200 of file industry_sl.cpp.

References SlTableHeader().

The documentation for this struct was generated from the following file:

- src/saveload/industry_sl.cpp